Bug 1227660 - Missing includefiles
Summary: Missing includefiles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: udt
Version: 22
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-03 09:04 UTC by Kjell Irgens
Modified: 2015-07-08 17:13 UTC (History)
1 user (show)

Fixed In Version: udt-4.11-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:19:35 UTC


Attachments (Terms of Use)

Description Kjell Irgens 2015-06-03 09:04:11 UTC
Description of problem:Missing header file(s) in devel package


Version-Release number of selected component (if applicable): 4.11-4


How reproducible: List package, look for files


Steps to Reproduce:
1. rpm -ql udt-devel
2. Look for ccc.h
3. Realize that it is missing

Actual results:

/usr/include/udt
/usr/include/udt/udt.h
/usr/lib64/libudt.so
/usr/share/doc/udt-devel
/usr/share/doc/udt-devel/doc
/usr/share/doc/udt-devel/doc/doc
....

Expected results:

/usr/include/udt
/usr/include/udt/api.h
/usr/include/udt/buffer.h
/usr/include/udt/cache.h
/usr/include/udt/ccc.h
/usr/include/udt/channel.h
/usr/include/udt/common.h
/usr/include/udt/core.h
/usr/include/udt/epoll.h
/usr/include/udt/list.h
/usr/include/udt/md5.h
/usr/include/udt/packet.h
/usr/include/udt/queue.h
/usr/include/udt/udt.h
/usr/include/udt4/window.h
/usr/lib64/libudt.so
/usr/share/doc/udt-devel
/usr/share/doc/udt-devel/doc
/usr/share/doc/udt-devel/doc/doc
....


Additional info:

The documentation for the missing header files is included, take a look at for instance 

/usr/share/doc/udt-devel/doc/doc/ccc.htm

Comment 1 Fedora Update System 2015-06-16 08:06:19 UTC
udt-4.11-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/udt-4.11-6.el6

Comment 2 Fedora Update System 2015-06-16 08:06:25 UTC
udt-4.11-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/udt-4.11-6.fc21

Comment 3 Fedora Update System 2015-06-16 08:06:31 UTC
udt-4.11-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/udt-4.11-6.el7

Comment 4 Fedora Update System 2015-06-16 08:06:38 UTC
udt-4.11-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/udt-4.11-6.fc22

Comment 5 Fedora Update System 2015-06-16 08:06:46 UTC
udt-4.11-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/udt-4.11-6.el5

Comment 6 Fedora Update System 2015-06-18 18:33:26 UTC
Package udt-4.11-6.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing udt-4.11-6.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6700/udt-4.11-6.el5
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-06-30 00:19:35 UTC
udt-4.11-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-06-30 00:23:01 UTC
udt-4.11-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-07-08 17:00:52 UTC
udt-4.11-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-07-08 17:12:36 UTC
udt-4.11-6.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-07-08 17:13:43 UTC
udt-4.11-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.